Skip to main content
POST
/
conversations
/
{id}
/
agent-stream
Start or attach to a durable project-agent run
curl --request POST \
  --url https://api.veryfront.com/conversations/{id}/agent-stream \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>",
  "runId": "<string>",
  "runtime_target_kind": "production",
  "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "messages": [],
  "tools": [],
  "context": [],
  "forwardedProps": {}
}
'
"<string>"

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

id
string<uuid>
required

Body

application/json
agent_id
string
required
Required string length: 1 - 128
Pattern: ^[a-zA-Z0-9_-]+$
runId
string
required
Required string length: 1 - 128
Pattern: ^[a-zA-Z0-9_-]+$
runtime_target_kind
enum<string>
Available options:
production,
environment,
preview_branch
target_environment_id
string<uuid> | null
target_branch_id
string<uuid> | null
messages
null[]
tools
object[]
Maximum array length: 50
context
object[]
Maximum array length: 10
forwardedProps
object

Response

200 - text/event-stream

Agent event stream

The response is of type string.